/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const CLEAR_CHAT = i18n.translate('xpack.elasticAssistant.assistant.clearChat', {
  defaultMessage: 'Clear chat',
});

export const DEFAULT_ASSISTANT_TITLE = i18n.translate(
  'xpack.elasticAssistant.assistant.defaultAssistantTitle',
  {
    defaultMessage: 'Elastic AI Assistant',
  }
);

export const SHOW_ANONYMIZED = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.showAnonymizedToggleLabel',
  {
    defaultMessage: 'Show anonymized',
  }
);

export const SHOW_ANONYMIZED_TOOLTIP = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.showAnonymizedTooltip',
  {
    defaultMessage: 'Show the anonymized values sent to and from the assistant',
  }
);

export const SUBMIT_MESSAGE = i18n.translate('xpack.elasticAssistant.assistant.submitMessage', {
  defaultMessage: 'Submit message',
});

export const API_ERROR = i18n.translate('xpack.elasticAssistant.assistant.apiErrorTitle', {
  defaultMessage: 'An error occurred sending your message.',
});

export const TOOLTIP_ARIA_LABEL = i18n.translate(
  'xpack.elasticAssistant.documentationLinks.ariaLabel',
  {
    defaultMessage: 'Click to open Elastic Assistant documentation in a new tab',
  }
);

export const DOCUMENTATION = i18n.translate(
  'xpack.elasticAssistant.documentationLinks.documentation',
  {
    defaultMessage: 'documentation',
  }
);
